Retrieve a file
Retrieve information about a previously uploaded file.
Please note that the sub-domain – https://files.checkout.com – is slightly different to Checkout.com's other endpoints. See the documentation for more information.
Path Parameters
- Type: stringentity
Id requiredThe ID of the sub-entity
- Type: stringfile
Id requiredThe ID of the file. The value is always prefixed with
file_.
Responses
- application/json
- 401
Unauthorized
- 404
File not found
Request Example for get/entities/{entityId}/files/{fileId}
Shell Curl
curl https://files.checkout.com/entities/ent_w4jelhppmfiufdnatam37wrfc4/files/file_w4jelhppkaskd0dnatam37wrfc4 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "file_6lbss42ezvoufcb2beo76rvwly",
"status": "invalid",
"status_reasons": [
"InvalidMimeType"
],
"size": 1024,
"mime_type": "application/pdf",
"uploaded_on": "2020-12-01T15:01:01Z",
"purpose": "identity_verification",
"_links": {
"download": {
"href": "https://s3.eu-west-1.amazonaws.com/mp-files-api-clean-prod/ent_ociwguf5a5fe3ndmpnvpnwsi3e/file_6lbss42ezvoufcb2beo76rvwly?X-Amz-Expires=3600&x-amz-security-token=some_token"
},
"self": {
"href": "https://files.checkout.com/files/file_6lbss42ezvoufcb2beo76rvwly"
}
}
}